import * as cxapi from '@aws-cdk/cx-api';
import * as cdk_assets from 'cdk-assets';
import { SdkProvider } from '../api/aws-auth/sdk-provider';
export interface PublishAssetsOptions {
    /**
     * Print progress at 'debug' level
     */
    readonly quiet?: boolean;
    /**
     * Whether to build assets before publishing.
     *
     * @default true To remain backward compatible.
     */
    readonly buildAssets?: boolean;
    /**
     * Whether to build/publish assets in parallel
     *
     * @default true To remain backward compatible.
     */
    readonly parallel?: boolean;
}
/**
 * Use cdk-assets to publish all assets in the given manifest.
 */
export declare function publishAssets(manifest: cdk_assets.AssetManifest, sdk: SdkProvider, targetEnv: cxapi.Environment, options?: PublishAssetsOptions): Promise<void>;
export interface BuildAssetsOptions {
    /**
     * Print progress at 'debug' level
     */
    readonly quiet?: boolean;
    /**
     * Build assets in parallel
     *
     * @default true
     */
    readonly parallel?: boolean;
}
/**
 * Use cdk-assets to build all assets in the given manifest.
 */
export declare function buildAssets(manifest: cdk_assets.AssetManifest, sdk: SdkProvider, targetEnv: cxapi.Environment, options?: BuildAssetsOptions): Promise<void>;
